---
title: Guides
keywords: Docker guides
description: Explore the Docker guides
notoc: true

get-started:
- title: Docker overview
  description: Learn about the Docker platform.
  link: /get-started/overview/
  icon: summarize
- title: Get started
  description: Get started with the basics and the benefits of containerizing your applications.
  link: /guides/get-started/
  icon: rocket
- title: Docker concepts
  description: Gain a better understanding of foundational Docker concepts.
  link: /guides/docker-concepts/the-basics/what-is-a-container/
  icon: foundation

dive-deeper:
- title: Language-specific guides
  description: Learn how to containerize, develop, and test language-specific apps using Docker.
  link: /language/
  icon: code
- title: Use-case guides
  description: Walk through practical Docker applications for specific scenarios.
  link: /guides/use-case/
  icon: task
- title: Develop with Docker
  description: Master Docker best practices for efficient, secure development.
  link: /develop/
  icon: rule
- title: Build with Docker
  description: Deep-dive into building software with Docker.
  link: /build/guide/
  icon: build
- title: Deployment and Orchestration
  description: Deploy and manage Docker containers at scale.
  link: /get-started/orchestration/
  icon: workspaces

resources:
- title: Educational resources
  description: Explore diverse Docker training and hands-on experiences.
  link: /get-started/resources/
  icon: book
- title: Contribute to Docker's docs
  description: Learn how to help contribute to Docker docs.
  link: /contribute/
  icon: edit
---

This section contains guides to help you get started and learn how Docker can optimize your development workflows.

## Foundations of Docker

Get started learning the foundational concepts and workflows of Docker.

{{< grid items="get-started" >}}

## Advancing with Docker

Explore more advanced concepts and scenarios in Docker.

{{< grid items="dive-deeper" >}}

## Educational resources and contributions

Discover community-driven resources and learn how to contribute to Docker docs.

{{< grid items="resources" >}}
