---
title: Overview of get started
keywords: get started, quick start, intro, concepts
description: Find quick, hands-on guides on containerization concepts and how to use Docker Desktop
aliases:
- /guides/walkthroughs/

grid:
  - title: "What is a container?"
    link: "/guides/walkthroughs/what-is-a-container/"
    image: "/guides/walkthroughs/images/what-is-a-container.webp"
  - title: "Run a container"
    image: "/guides/walkthroughs/images/how-do-i-run-a-container.webp"
    link: "/guides/walkthroughs/run-a-container/"
  - title: "Run Docker Hub images"
    image: "/guides/walkthroughs/images/run-docker-hub-images.webp"
    link: "/guides/walkthroughs/run-hub-images/"
  - title: "Multi-container apps"
    image: "/guides/walkthroughs/images/multi-container-apps.webp"
    link: "/guides/walkthroughs/multi-container-apps/"
  - title: "Persist container data"
    link: "/guides/walkthroughs/persist-data/"
    image: "/guides/walkthroughs/images/persist-data.webp"
  - title: "Access a local folder"
    link: "/guides/walkthroughs/access-local-folder/"
    image: "/guides/walkthroughs/images/bind-mounts.webp"
  - title: "Containerize your application"
    link: "/guides/walkthroughs/containerize-your-app/"
    image: "/guides/walkthroughs/images/containerize-app.webp"
  - title: "Publish your image to Docker Hub"
    link: "/guides/walkthroughs/publish-your-image/"
    image: "/guides/walkthroughs/images/publish-your-images.webp"
aliases:
- /get-started/hands-on-overview/
---

## Quick hands-on guides

Let these 5-minute hands-on guides show you around Docker Desktop and introduce you to containerization concepts.

{{< grid cols=2 >}}

> **Note**
>
> These hands-on guides are also available as interactive walkthroughs inside
> Docker Desktop's learning center.

## Getting started guide

Dive deeper into Docker and containerization concepts in this end-to-end guide.

{{< card
  title="Getting started guide"
  link=/get-started/
  description="A 45-minute guide where you start by containerizing a simple application and then follow along to develop it into a multi-container application."
  icon="/assets/images/rocket.svg"
>}}