---
description: Get an overview on Docker Official Images, what they are, and how they differ from other images available on Docker Hub
keywords: Docker, docker, registry, accounts, plans, Dockerfile, Docker Hub, docs,
  official,image, documentation
title: Docker Official Images
aliases:
- /docker-hub/official_repos/
- /docker-hub/official_images/
---

The [Docker Official Images](https://hub.docker.com/search?q=&type=image&image_filter=official)
are a curated set of Docker repositories hosted on Docker Hub.

> **Note**
>
> Use of Docker Official Images is subject to [Docker's Terms of Service](https://www.docker.com/legal/docker-terms-service/).

These images provide essential base repositories that serve as the starting
point for the majority of users.

These include operating systems such as
[Ubuntu](https://hub.docker.com/_/ubuntu/) and
[Alpine](https://hub.docker.com/_/alpine/), programming language runtimes such as
[Python](https://hub.docker.com/_/python) and
[Node](https://hub.docker.com/_/node), and other essential tools such as
[memcached](https://hub.docker.com/_/memcached) and
[MySQL](https://hub.docker.com/_/mysql).

The images are some of the [most secure images](https://www.docker.com/blog/enhancing-security-and-transparency-with-docker-official-images/)
on Docker Hub. This is particularly important as Docker Official Images are
some of the most popular on Docker Hub. Typically, Docker Official images have
few or no packages containing CVEs.

The images exemplify [`Dockerfile` best practices](../../develop/develop-images/dockerfile_best-practices.md)
and provide clear documentation to serve as a reference for other `Dockerfile` authors.

Images that are part of this program have a special badge on Docker Hub making
it easier for you to identify projects that are part of Docker Official Images.

![Docker official image badge](../images/official-image-badge-iso.png)

## In this section

{{% sectionlinks %}}
